# SimeMobileCity: Charging Infrastructure Simulation Suite

[![PyPI Version](https://img.shields.io/badge/PyPI-0.1.0-orange)](https://pypi.org/project/simemobilecity/)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://github.com/Ajax23/SimeMobileCity/blob/master/LICENSE)
[![DOI](https://zenodo.org/badge/393620742.svg)](https://zenodo.org/badge/latestdoi/393620742)
[![Build Status](https://github.com/Ajax23/SimeMobileCity/actions/workflows/workflow.yml/badge.svg)](https://github.com/Ajax23/SimeMobileCity/actions/workflows/workflow.yml)
[![codecov](https://codecov.io/gh/Ajax23/SimeMobileCity/branch/master/graph/badge.svg?token=AXx3JTujap)](https://codecov.io/gh/Ajax23/SimeMobileCity)
[![Language grade: Python](https://img.shields.io/lgtm/grade/python/g/Ajax23/SimeMobileCity.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/Ajax23/SimeMobileCity/context:python)

## Documentation

Online documentation is available at [ajax23.github.io/SimeMobileCity](https://ajax23.github.io/SimeMobileCity/).

The docs include an [API reference](https://ajax23.github.io/SimeMobileCity/api.html).

## Dependencies

SimeMobileCity supports Python 3.5+.

Installation requires [osmnx](https://osmnx.readthedocs.io/en/stable/), [scikit-learn](https://scikit-learn.org/stable/index.html), [pandas](https://pandas.pydata.org/) and [seaborn](https://seaborn.pydata.org/).


## Installation

The latest stable release (and older versions) can be installed from PyPI:

    pip install simemobilecity

You may instead want to use the development version from Github:

    pip install git+https://github.com/ajax23/simemobilecity.git#egg=simemobilecity

    pip install git+https://github.com/ajax23/simemobilecity.git@develop#egg=simemobilecity

Or download the repository and install in the top directory via:

    pip install .


## Testing

To test SimeMobileCity, run the test in the test directory.


## Development

SimeMobileCity development takes place on Github: [www.github.com/Ajax23/SimeMobileCity](https://github.com/Ajax23/SimeMobileCity)

Please submit any reproducible bugs you encounter to the [issue tracker](https://github.com/Ajax23/SimeMobileCity/issues).


## How to Cite SimeMobileCity

When citing SimeMobileCity please use the current **Zenodo DOI** corresponding to the used SimeMobileCity version. (Current DOI is listed in the badges.)
